Get Read Replica Sets
curl --request GET \
--url https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/replicaSets \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/replicaSets"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/replicaSets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "alb8jicdpr",
"name": "reporting-replica-1",
"status": "active",
"nodes": 2,
"cpu_millis": 250,
"memory_gbs": 1,
"metadata": {
"environment": "<string>"
},
"endpoint": {
"host": "my-service.com",
"port": 8080
},
"connection_pooler": {
"endpoint": {
"host": "my-service.com",
"port": 8080
}
}
}
]{
"code": "<string>",
"message": "<string>"
}Get Read Replica Sets
Retrieves a list of all read replica sets associated with a primary service within a project.
GET
/
projects
/
{project_id}
/
services
/
{service_id}
/
replicaSets
Get Read Replica Sets
Authorizations
HTTP Basic Authentication using your Tiger Cloud public key and secret key.
Format: Authorization: Basic <base64(public_key:secret_key)>
Example:
curl -X GET "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services" \
-H "Authorization: Basic $(echo -n 'your_public_key:your_secret_key' | base64)"
Path Parameters
The unique identifier of the project.
Example:
"rp1pz7uyae"
The unique identifier of the service.
Example:
"d1k5vk7hf2"
Response
A list of read replica sets.
Example:
"alb8jicdpr"
Example:
"reporting-replica-1"
Available options:
creating, active, resizing, deleting, error Example:
"active"
Number of nodes in the replica set.
Example:
2
CPU allocation in milli-cores.
Example:
250
Memory allocation in gigabytes.
Example:
1
Additional metadata for the read replica set
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes